TokyoTyrant::putCat
TokyoTyrant::putNr
TokyoTyrant
PHP Manual

# TokyoTyrant::putKeep

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::putKeep — Enregistre un nouvel enregistrement

### Description

public TokyoTyrant TokyoTyrant::putKeep ( mixed `$keys` [, string `$value` ] )

Enregistre une ou plusieurs paires clé-valeur dans la base de données. Si le paramètre `keys` est une chaîne de caractères, alors le second paramètre définit la valeur. Le second paramètre n'est obligatoire que si le paramètre `keys` est une chaîne de caractères. Si la clé existe déjà, la méthode lancera une exception indiquant que l'enregistrement existe déjà.

### Liste de paramètres

`keys`

  Une clé ou un tableau de paires clé-valeur.

`value`

  La valeur sous la forme d'une chaîne de caractères.

### Valeurs de retour

Cette méthode retourne une référence à l'objet courant, et lance une exception TokyoTyrantException si une erreur survient.

### Exemples

Exemple #1 Exemple avec tokyotyrant::putKeep()

`<?php
/* Connexion à la base de données sur le port par défaut */
$tt = new TokyoTyrant("localhost");
/* Crée une nouvelle clé */
$tt->put("key", "valeur");
try {
$tt->putKeep("key", "new value");
} catch (TokyoTyrantException $e) {
if ($e->getCode() === TokyoTyrant::TTE_KEEP) {
echo "Enregistrement existant ! Aucune modification\n";
} else {
echo "Erreur : " , $e->getMessage() , "\n";
}
}
echo $tt->get("key");
?>`

L'exemple ci-dessus va afficher :

    Enregistrement existant ! Aucune modification
    valeur

### Voir aussi

- TokyoTyrant::put() - Insère des valeurs
- TokyoTyrant::putCat() - Concatène un enregistrement

TokyoTyrant::putCat
TokyoTyrant::putNr
TokyoTyrant
PHP Manual